

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Schibsted+Grotesk:ital,wght@0,400..900;1,400..900&display=swap');

:root {
  --primary-font:"Montserrat", sans-serif;
  --bg-light-blue: #000000;
  --secondary-color: #ffc107;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: var(--primary-font);
}

a {
  text-decoration: none;
}

ul li {
  list-style-type: none; /* Remove bullets */
  padding: 0; /* Remove padding */
  margin: 0; /* Remove margins */
}

::-webkit-scrollbar {
  width: 0.6rem;
}

::-webkit-scrollbar-track {
  background: var(--bg-light-blue);
}

::-webkit-scrollbar-thumb {
  background: var(--secondary-color);
}


/*----------------------------------------------------*/
/*--------------theme modification---------------*/
/*----------------------------------------------------*/


.text-justify-custom {
  text-align: justify;
}

.wrapper
{
    padding: 3.215rem 0;
}

.about_nkarbooking__slider{
  margin-top: 7rem;
}

/*--- Navbar ---*/


.top-bar {
  background-color: #000;
  color: #fff;
  font-size: 0.9rem;
}

.top-bar a {
  color: #ffc107;
  text-decoration: none;
}

.top-bar a:hover {
  text-decoration: underline;
}

.navbar-nav .nav-link.active {
  color: #ffc107 !important;
}

.btn-inquire {
  background-color: #ffc107;
  color: #000;
  font-weight: 600;
}

.btn-inquire:hover {
  background-color: #e0a800;
}

/*font*/

h1 {
  font-size: 3.75rem;        /* 60px */
  line-height: 4.25rem;      /* 68px */
  margin-bottom: 1.25rem;    /* 20px */
}

h2 {
  font-size: 2.25rem;        /* 36px */
  line-height: 3.25rem;      /* 68px */
  font-weight: 700;
  margin-bottom: 1.25rem;    /* 20px */
  text-transform: uppercase;
}

h3 {
  margin-bottom: 1.875rem;   /* 30px */
  line-height: 2.875rem;     /* 46px */
  font-weight: 700;
  font-size: 2.25rem;        /* 36px */
}

h4 {
  margin-bottom: 1.5rem;     /* 24px */
  line-height: 2.875rem;     /* 46px */
  font-weight: 700;
  font-size: 2.25rem;        /* 36px */
}

h5 {
  font-size: 1rem;         /* 24px */
  line-height: 2;            /* 16px default unless inherited */
  text-align: justify;
}

h6 {
  font-size: 0.875rem;       /* 14px */
  margin-bottom: 0.9375rem;  /* 15px */
  text-transform: uppercase;
  font-weight: 300;
}

p {
  font-size: 1rem;
  line-height: 1.625rem;
}

#fcm_srilanka_font {
    font-size: 3.75rem;        /* 60px */
    line-height: 4.25rem;      /* 68px */
    margin-bottom: 1.25rem;    /* 20px */
}

#h1_font_size_customizer{
    font-size: 1.75rem !important;
    line-height: 2.5rem !important;
}

#footer_address:hover{
    color: #ffc107 !important; /* Bootstrap warning color or any color you prefer */
    text-decoration: none; /* Optional: adds underline on hover */
}

.blurry-text {
    color: transparent;
    text-shadow: 0 0 5px rgba(0,0,0,0.5);
    filter: blur(2px);
}

del {
    text-decoration: line-through;
    text-decoration-thickness: 3px; /* Increase thickness */
    text-decoration-color: red;     /* Optional: change line color */
}

.list-style-show{
    list-style: disc;
}

/*------*/

.featured-title {
  display: flex;
  align-items: center;
  font-family: 'Arial', sans-serif;
  font-size: 28px;
  font-weight: normal;
  color: #333;
  position: relative;
}

.sun-icon {
  width: 35px;
  height: 35px;
  top: -15px;
  left: -15px;
  position: absolute;
}

.featured-title strong {
  font-weight: bold;
  color: #000;
}
#featured_tours{
  margin-left: 7rem;
}


footer a.text-white:hover {
  color: #ffc107 !important; /* Bootstrap warning color or any color you prefer */
  text-decoration: none; /* Optional: adds underline on hover */
}

/*https://testing.nkaronline.com/DLD3N2t.png*/

/*Wavy Background Animation*/
.wave {
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 100%;
  height: 5vh;
  background: url(https://testing.nkaronline.com/DLD7N6t.png);
  background-size: 100vw 5vh;
}
.wave1 {
  animation: animate 15s linear infinite;
  z-index: 15;
  opacity: 0.9;
  animation-delay: 0s;
  bottom: -10px;
}
.wave2 {
  animation: animate2 10s linear infinite;
  z-index: 10;
  opacity: 0.7;
  animation-delay: -5s;
  bottom: -5px;
}
.wave3 {
  animation: animate 7s linear infinite;
  z-index: 5;
  opacity: 0.4;
  animation-delay: -2s;
  bottom: -10px;
}
.wave4 {
  animation: animate2 5s linear infinite;
  z-index: 1;
  opacity: 0.5;
  animation-delay: -5s;
  bottom: -10px;
}
@keyframes animate {
  0% {
    background-position-x: 0;
  }
  100% {
    background-position-x: 100vw;
  }
}
@keyframes animate2 {
  0% {
    background-position-x: 0;
  }
  100% {
    background-position-x: -100vw;
  }
}

/*green*/

.wave_green {
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 100%;
  height: 5vh;
  background: url(https://testing.nkaronline.com/DLD2L6t.png);
  background-size: 100vw 5vh;
}
.wave1_green {
  animation: animate 15s linear infinite;
  z-index: 15;
  opacity: 0.9;
  animation-delay: 0s;
  bottom: -10px;
}
.wave2_green {
  animation: animate2 10s linear infinite;
  z-index: 10;
  opacity: 0.7;
  animation-delay: -5s;
  bottom: -5px;
}
.wave3_green {
  animation: animate 7s linear infinite;
  z-index: 5;
  opacity: 0.4;
  animation-delay: -2s;
  bottom: -10px;
}
.wave4_green {
  animation: animate2 5s linear infinite;
  z-index: 1;
  opacity: 0.5;
  animation-delay: -5s;
  bottom: -10px;
}


/*yellow*/

.wave_yellow {
    position: absolute;
    bottom: -10px;
    left: 0;
    width: 100%;
    height: 5vh;
    background: url(https://testing.nkaronline.com/DLD7N4y.png);
    background-size: 100vw 5vh;
}
.wave1_yellow {
    animation: animate 15s linear infinite;
    z-index: 15;
    opacity: 0.9;
    animation-delay: 0s;
    bottom: -10px;
}
.wave2_yellow {
    animation: animate2 10s linear infinite;
    z-index: 10;
    opacity: 0.7;
    animation-delay: -5s;
    bottom: -5px;
}
.wave3_yellow {
    animation: animate 7s linear infinite;
    z-index: 5;
    opacity: 0.4;
    animation-delay: -2s;
    bottom: -10px;
}
.wave4_yellow {
    animation: animate2 5s linear infinite;
    z-index: 1;
    opacity: 0.5;
    animation-delay: -5s;
    bottom: -10px;
}






/*---- card ----*/
.card_box{
  height: 30rem;
  border-radius: 10px;
  position: relative;
  overflow: hidden;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.15);
}
.card_box img{
  width: 100%;
  border-radius: 10px;
  display: block;
  transform: scale(1);
  transition: transform 0.6s ease;
}
.card_overlay{
  color: white;
  height: 0;
  width: 100%;
  background: linear-gradient(transparent, rgba(0, 111, 69, 0.79) 56%);
  border-radius: 10px;
  position: absolute;
  left: 0;
  bottom: 0;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 2px;
  text-align: center;
  font-size: 14px;
  transition: height 0.5s;
}
.card_overlay h3 {
  font-weight: 500;
  margin-bottom: 5px;
  margin-top: 30%;
  font-size: 30px;
  letter-spacing: 2px;
}
.card_overlay a {
  margin-top: 10px;
  color: #262626;
  text-decoration: none;
  font-size: 14px;
  background: #fff;
  border-radius: 50px;
  text-align: center;
  padding: 5px 15px;
}
.card_box img{
  transform: scale(1.2);
}
.card_box .card_overlay{
  height: 50%;
}
.card_box:hover img {
  transform: scale(1.1);
}
/* Hover effect */
.card_overlay h3,
.card_overlay p {
  transform: translateY(20px);
  opacity: 1;
  transition: transform 0.5s ease, opacity 0.5s ease;
}
.card_box:hover .card_overlay h3,
.card_box:hover .card_overlay p {
  transform: translateY(0);
  opacity: 0;
}

.shadow-card-1 {
    box-shadow: 10px 15px 32px -13px rgb(255, 30, 0);
    -webkit-box-shadow: 10px 15px 32px -13px rgb(255, 30, 0);
    -moz-box-shadow: 10px 15px 32px -13px rgb(255, 30, 0);
}

.shadow-card-2 {
    box-shadow: 10px 15px 32px -13px rgb(49, 128, 0);
    -webkit-box-shadow: 10px 15px 32px -13px rgb(49, 128, 0);
    -moz-box-shadow: 10px 15px 32px -13px rgb(49, 128, 0);
}

.shadow-card-3 {
    box-shadow: 10px 15px 32px -13px rgb(255, 200, 0);
    -webkit-box-shadow: 10px 15px 32px -13px rgb(255, 200, 0);
    -moz-box-shadow: 10px 15px 32px -13px rgb(255, 200, 0);
}

/* Move Swiper pagination 100px lower */

.swiper-pagination {
    margin-top: 40px !important;  /* pushes bullets down */
    position: relative !important; /* keeps it below the slider */
}




/*fcm sri lanka*/

.fcm_logo{
  width: 50%; top: 40%; right: 0; box-shadow: 0 4px 8px rgba(0,0,0,0.2), 0 6px 20px rgba(0,0,0,0.19);
}

/*Hero section*/

#explore_now_button{
  background: var(--bs-warning);
  color: rgb(0,0,0);
}

.years_excellence {
  height: 12rem;
  margin-top: 2rem;
}


/*Flight Form*/

.flight-form{
  max-height: 24px;
}

#send_message_button{
  font-size: 17px;
}

/*About Section*/

#over_years_of_experience{
  margin-top: 2rem;
  color: black;
  background-color: #ffffff;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 10px;
  font-weight: bold;
}

/*About Section*/

#top_international_destination_text{
  margin-top: 2rem;
  color: black;
  background-color: orange;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 10px;
  font-weight: bold;
}

#fcm_logo_main_banner{
  border-top-left-radius: 63px;
  border-bottom-left-radius: 63px;
  width: 100%;
}


/*drop animation for text*/
.drop-in-word span {
    opacity: 0;
    display: inline-block;
    transform: translateY(-40px);
    animation: dropIn 15s ease-in-out infinite;
}

.drop-in-word span:nth-child(1) { animation-delay: 0s; }
.drop-in-word span:nth-child(2) { animation-delay: 1s; }
.drop-in-word span:nth-child(3) { animation-delay: 2s; }
.drop-in-word span:nth-child(4) { animation-delay: 3s; }
.drop-in-word span:nth-child(5) { animation-delay: 4s; }
.drop-in-word span:nth-child(6) { animation-delay: 5s; }

/* keyframes */
@keyframes dropIn {
    0% {
        opacity: 0;
        transform: translateY(-40px);
    }
    15% {
        opacity: 1;
        transform: translateY(0);
    }
    70% {
        opacity: 1;
        transform: translateY(0);  /* stay visible */
    }
    100% {
        opacity: 0;
        transform: translateY(40px); /* drop out */
    }
}



/*hero section*/
#hero__section-banner{
  background: url(../img/mesut-kaya.jpg) center / cover no-repeat;
}

#slider__top-margin{
  margin-top: -4rem;
}

#featured_promotion_styles{
  max-width: 450px;
  background-color: rgba(255,255,255,0.65);
  padding: 1rem;
  border-radius: 20px;
}

#promotion__home-page{
  background-color: orange;
}

#footer{
  background-color: #006f45;
}

.input_style {
  border-style: solid;border-color: rgb(0,111,69);
}

#about_us-highlight{
  margin-top: 2rem;
  color: white;
  background-color: #006f45;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 10px;
  font-weight: bold;
  padding-top: 5px;
  padding-bottom: 5px;
}

/*Featured Promotions*/

#featured__tours-list{
  margin-left: -2rem;
}

.custom__width-card{
  width: 99%;
}

.footer__transaction-img{
  width: 50px;
}

.footer__list_style_enable {
    list-style: circle; color: white;
}

.featured__tours-view-all-tours{
  font-size: 20px;
}

.about__page-leisure-travel{
  background-color: #f4f4f4
}

/*label for special offer*/
.special-offer-badge {
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: #006f45;
    color: white;
    padding: 5px 10px;
    font-weight: bold;
    font-size: 0.7rem;
    border-radius: 8px;
    z-index: 10;
    border: 2px solid white;

    /* Animation */
    animation: badgePulse 3s infinite ease-in-out;
}

@keyframes badgePulse {
    0% {
        background-color: #006f45;
        color: #ffffff;
        transform: scale(1);   /* normal size */
    }
    50% {
        background-color: #04a067; /* lighter green */
        color: #f9f9f9;
        transform: scale(1.15); /* zoom in */
    }
    100% {
        background-color: #004d30; /* darker green */
        color: #ffffff;
        transform: scale(1);   /* back to normal */
    }
}

.expired-badge {
    position: absolute;
    top: 10px;
    right: 10px;
    background: #16BFFD;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #CB3066, #16BFFD);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #CB3066, #16BFFD); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    color: white;
    padding: 5px 10px;
    font-weight: bold;
    font-size: 0.7rem;
    border-radius: 8px;
    z-index: 10;
    border: 2px solid white;
}

.card-img-wrapper {
  position: relative;
}

/*tour page*/

.card_img_height{
    height: 100%;
}

hr.style-one {
    border: 0;
    height: 1px;
    background: #333;
    background-image: linear-gradient(to right, #ccc, #333, #ccc);
}


#cruise_top_area_background_color_gradient {
    background: linear-gradient(90deg, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 50%, rgba(237, 221, 83, 1) 100%); margin-top: -1rem; padding: 2rem;
}

/*whatsapp chat and other changes*/
.whatsapp-chat{
    bottom: 10px;
    right: 10px;
    position: fixed !important;
    z-index: 100000;
}


/* Show dropdown on hover (for desktop screens) */
@media (min-width: 992px) {
    .navbar .dropdown:hover .dropdown-menu {
        display: block;
        margin-top: 0; /* Remove small jump */
    }

    .navbar .dropdown-toggle::after {
        transition: transform 0.3s;
    }

    .navbar .dropdown:hover .dropdown-toggle::after {
        transform: rotate(180deg);
    }
}




/*toaster notification*/
/* Make toastr notifications bigger */
/*#toast-container > .toast {*/
/*    font-size: 18px;       !* Bigger text *!*/
/*    padding: 40px 50px;    !* More padding *!*/
/*    min-width: 550px;      !* Wider *!*/
/*    border-radius: 10px;   !* Rounded corners *!*/
/*}*/
/*!* Optional: Make title bigger *!*/
/*#toast-container > .toast .toast-title {*/
/*    font-size: 20px;*/
/*    font-weight: bold;*/
/*}*/
/*!* Optional: Make message bigger *!*/
/*#toast-container > .toast .toast-message {*/
/*    font-size: 18px;*/
/*    line-height: 1.5;*/
/*}*/




.toast-success {
    background-color: #28a745 !important; /* Bootstrap green, change if you want */
    opacity: 1 !important; /* Ensure no transparency */
    background-image: none !important; /* Remove default checkmark icon gradient */
    color: #fff !important; /* Text color white */
}

@media only screen and (max-width: 500px) {
    .g-recaptcha {
        transform:scale(0.77);
        transform-origin:0 0;
    }
    #cruise_gradient_btn{
        margin-top: 6rem;
    }
}



/*animation*/

.shake-horizontal {
    -webkit-animation: shake-horizontal 12s cubic-bezier(0.455, 0.030, 0.515, 0.955) infinite both;
    animation: shake-horizontal 12s cubic-bezier(0.455, 0.030, 0.515, 0.955) infinite both;
}

@-webkit-keyframes shake-horizontal {
    0%,
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }
    10%,
    30%,
    50%,
    70% {
        -webkit-transform: translateX(-5px);
        transform: translateX(-5px);
    }
    20%,
    40%,
    60% {
        -webkit-transform: translateX(5px);
        transform: translateX(5px);
    }
    80% {
        -webkit-transform: translateX(8px);
        transform: translateX(8px);
    }
    90% {
        -webkit-transform: translateX(-4px);
        transform: translateX(-4px);
    }
}











